package com.hzya.frame.seeyon.invoice.entity;

import com.hzya.frame.web.entity.BaseEntity;

public class InvoiceEntity extends BaseEntity {
    private String sfhc;// 是否红冲
    private String xf;// 销方
    private String access_key;// 申请开放平台分配的accessKey
    private String sign;// 加密签名
    private String timestamp;// 用户发起请求的时间
    private String serial_number;// 请求唯一流水号
    private String company_code;// 企业编码
    private String seller_tax_no;// 企业纳税人识别号
    private String template_id;// 模版ID，固定值：
    private String business_no;// 业务单号
    private String superior_business_no;// 上级业务单号
    private String buyer_name;// 购买方名称
    private String buyer_tax_no;// 购买方纳税人识别号
    private String buyer_addr_phone;// 购买方地址、电话
    private String buyer_bank_account;// 购买方开户行及账号
    private String apply_person;// 申请人
    private String apply_email_notice;// 是否邮件通知申请人 1 是0 否
    private String buyer_email_notice;// 是否邮件通知购买方 1 是0 否
    private String workcode;// 申请人工号
    private String other_email;// 其他发票接收邮箱
    private String buyer_contact;// 购买方发票邮寄接收联系人名称
    private String buyer_mobile;// 购买方发票邮寄接收手机号
    private String buyer_recv_address;// 购买方发票邮寄接收地址
    private String application_remark;// 申请单其他说明
    private String attachments;// 附件，文件Url地址列表
    private String notify_url;// 回调通知地址
    private String special_invoice_mark;// 特殊票种标识
    private String seller_name;// 销售方名称
    private String seller_addr_phone;// 销售方地址、电话
    private String seller_bank_account;// 销售方银行账号
    private String extend_fields;// 自定义扩展字段
    private String invoice_type;// 发票种类示例值
    private String is_person;// 是否自然人1是默认为否
    private String levy_tax_type;// 征税方式
    private String deduction;// 扣除额，差额征税时必填
    private String remark;// 发票备注
    private String place;// 地址
    private String place_of_detail;// 详细地址
    private String construction_project_name;// 建筑项目名称
    private String kqysssxbgglbm;// 跨区域涉税事项报验管理編号
    private String product_no;// 土地增值税项目编号
    private String cross_distinct_city_flag;// 跨地（市）标志:是，否
    private String certificate_of_title;// 产权证书/不动产权证号
    private String area_unit;// 面积
    private String start_date;// 租赁开始,格式yyyy-MM-dd
    private String end_date;// 租赁结束,格式yyyy-MM-dd
    private String original_seller_name;// 原开票企业-销售方名称
    private String original_seller_tax_no;// 原开票企业-销售方纳税人识别号
    private String applicant;// 申请方
    private String deduction_status;// 抵扣状态
    private String original_invoice_code;// 原发票代码
    private String original_invoice_number;// 原发票号码
    private String original_invoice_date;// 原发票开票日期
    private String original_invoice_price;// 原发票不含税总金额
    private String red_flush_reason;// 红冲原因
    private String original_superior_business_no;// 原上级业务单号
    private String red_letter_info_sheet_no;// 红字信息表编号
    private String original_invoice_check_ode;// 原发票校验码
    private String push_status_filed;// 推送标识字段
    private String invoice_code_field;// 发票代码字段
    private String invoice_number_field;// 发票号码字段
    private String url_field;// 发票文件字段
    private String result_status_field;// 开票结果字段
    private String push_status;// 推送标识
    private String invoice_code;// 发票代码
    private String invoice_number;// 发票号码
    private String url;// 发票文件
    private String result_status;// 开票结果

    private String summaryId;//
    private String input_result_status_filed;//进项发票结果字段
    private String input_result_status;//进项发票结果

    public String getInput_result_status_filed() {
        return input_result_status_filed;
    }

    public void setInput_result_status_filed(String input_result_status_filed) {
        this.input_result_status_filed = input_result_status_filed;
    }

    public String getInput_result_status() {
        return input_result_status;
    }

    public void setInput_result_status(String input_result_status) {
        this.input_result_status = input_result_status;
    }

    public String getSummaryId() {
        return summaryId;
    }

    public void setSummaryId(String summaryId) {
        this.summaryId = summaryId;
    }

    public String getPush_status_filed() {
        return push_status_filed;
    }

    public void setPush_status_filed(String push_status_filed) {
        this.push_status_filed = push_status_filed;
    }

    public String getInvoice_code_field() {
        return invoice_code_field;
    }

    public void setInvoice_code_field(String invoice_code_field) {
        this.invoice_code_field = invoice_code_field;
    }

    public String getInvoice_number_field() {
        return invoice_number_field;
    }

    public void setInvoice_number_field(String invoice_number_field) {
        this.invoice_number_field = invoice_number_field;
    }

    public String getUrl_field() {
        return url_field;
    }

    public void setUrl_field(String url_field) {
        this.url_field = url_field;
    }

    public String getResult_status_field() {
        return result_status_field;
    }

    public void setResult_status_field(String result_status_field) {
        this.result_status_field = result_status_field;
    }

    public String getPush_status() {
        return push_status;
    }

    public void setPush_status(String push_status) {
        this.push_status = push_status;
    }

    public String getInvoice_code() {
        return invoice_code;
    }

    public void setInvoice_code(String invoice_code) {
        this.invoice_code = invoice_code;
    }

    public String getInvoice_number() {
        return invoice_number;
    }

    public void setInvoice_number(String invoice_number) {
        this.invoice_number = invoice_number;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getResult_status() {
        return result_status;
    }

    public void setResult_status(String result_status) {
        this.result_status = result_status;
    }

    public String getSfhc() {
        return sfhc;
    }

    public void setSfhc(String sfhc) {
        this.sfhc = sfhc;
    }

    public String getXf() {
        return xf;
    }

    public void setXf(String xf) {
        this.xf = xf;
    }

    public String getAccess_key() {
        return access_key;
    }

    public void setAccess_key(String access_key) {
        this.access_key = access_key;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getSerial_number() {
        return serial_number;
    }

    public void setSerial_number(String serial_number) {
        this.serial_number = serial_number;
    }

    public String getCompany_code() {
        return company_code;
    }

    public void setCompany_code(String company_code) {
        this.company_code = company_code;
    }

    public String getSeller_tax_no() {
        return seller_tax_no;
    }

    public void setSeller_tax_no(String seller_tax_no) {
        this.seller_tax_no = seller_tax_no;
    }

    public String getTemplate_id() {
        return template_id;
    }

    public void setTemplate_id(String template_id) {
        this.template_id = template_id;
    }

    public String getBusiness_no() {
        return business_no;
    }

    public void setBusiness_no(String business_no) {
        this.business_no = business_no;
    }

    public String getSuperior_business_no() {
        return superior_business_no;
    }

    public void setSuperior_business_no(String superior_business_no) {
        this.superior_business_no = superior_business_no;
    }

    public String getBuyer_name() {
        return buyer_name;
    }

    public void setBuyer_name(String buyer_name) {
        this.buyer_name = buyer_name;
    }

    public String getBuyer_tax_no() {
        return buyer_tax_no;
    }

    public void setBuyer_tax_no(String buyer_tax_no) {
        this.buyer_tax_no = buyer_tax_no;
    }

    public String getBuyer_addr_phone() {
        return buyer_addr_phone;
    }

    public void setBuyer_addr_phone(String buyer_addr_phone) {
        this.buyer_addr_phone = buyer_addr_phone;
    }

    public String getBuyer_bank_account() {
        return buyer_bank_account;
    }

    public void setBuyer_bank_account(String buyer_bank_account) {
        this.buyer_bank_account = buyer_bank_account;
    }

    public String getApply_person() {
        return apply_person;
    }

    public void setApply_person(String apply_person) {
        this.apply_person = apply_person;
    }

    public String getApply_email_notice() {
        return apply_email_notice;
    }

    public void setApply_email_notice(String apply_email_notice) {
        this.apply_email_notice = apply_email_notice;
    }

    public String getBuyer_email_notice() {
        return buyer_email_notice;
    }

    public void setBuyer_email_notice(String buyer_email_notice) {
        this.buyer_email_notice = buyer_email_notice;
    }

    public String getWorkcode() {
        return workcode;
    }

    public void setWorkcode(String workcode) {
        this.workcode = workcode;
    }

    public String getOther_email() {
        return other_email;
    }

    public void setOther_email(String other_email) {
        this.other_email = other_email;
    }

    public String getBuyer_contact() {
        return buyer_contact;
    }

    public void setBuyer_contact(String buyer_contact) {
        this.buyer_contact = buyer_contact;
    }

    public String getBuyer_mobile() {
        return buyer_mobile;
    }

    public void setBuyer_mobile(String buyer_mobile) {
        this.buyer_mobile = buyer_mobile;
    }

    public String getBuyer_recv_address() {
        return buyer_recv_address;
    }

    public void setBuyer_recv_address(String buyer_recv_address) {
        this.buyer_recv_address = buyer_recv_address;
    }

    public String getApplication_remark() {
        return application_remark;
    }

    public void setApplication_remark(String application_remark) {
        this.application_remark = application_remark;
    }

    public String getAttachments() {
        return attachments;
    }

    public void setAttachments(String attachments) {
        this.attachments = attachments;
    }

    public String getNotify_url() {
        return notify_url;
    }

    public void setNotify_url(String notify_url) {
        this.notify_url = notify_url;
    }

    public String getSpecial_invoice_mark() {
        return special_invoice_mark;
    }

    public void setSpecial_invoice_mark(String special_invoice_mark) {
        this.special_invoice_mark = special_invoice_mark;
    }

    public String getSeller_name() {
        return seller_name;
    }

    public void setSeller_name(String seller_name) {
        this.seller_name = seller_name;
    }

    public String getSeller_addr_phone() {
        return seller_addr_phone;
    }

    public void setSeller_addr_phone(String seller_addr_phone) {
        this.seller_addr_phone = seller_addr_phone;
    }

    public String getSeller_bank_account() {
        return seller_bank_account;
    }

    public void setSeller_bank_account(String seller_bank_account) {
        this.seller_bank_account = seller_bank_account;
    }

    public String getExtend_fields() {
        return extend_fields;
    }

    public void setExtend_fields(String extend_fields) {
        this.extend_fields = extend_fields;
    }

    public String getInvoice_type() {
        return invoice_type;
    }

    public void setInvoice_type(String invoice_type) {
        this.invoice_type = invoice_type;
    }

    public String getIs_person() {
        return is_person;
    }

    public void setIs_person(String is_person) {
        this.is_person = is_person;
    }

    public String getLevy_tax_type() {
        return levy_tax_type;
    }

    public void setLevy_tax_type(String levy_tax_type) {
        this.levy_tax_type = levy_tax_type;
    }

    public String getDeduction() {
        return deduction;
    }

    public void setDeduction(String deduction) {
        this.deduction = deduction;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place;
    }

    public String getPlace_of_detail() {
        return place_of_detail;
    }

    public void setPlace_of_detail(String place_of_detail) {
        this.place_of_detail = place_of_detail;
    }

    public String getConstruction_project_name() {
        return construction_project_name;
    }

    public void setConstruction_project_name(String construction_project_name) {
        this.construction_project_name = construction_project_name;
    }

    public String getKqysssxbgglbm() {
        return kqysssxbgglbm;
    }

    public void setKqysssxbgglbm(String kqysssxbgglbm) {
        this.kqysssxbgglbm = kqysssxbgglbm;
    }

    public String getProduct_no() {
        return product_no;
    }

    public void setProduct_no(String product_no) {
        this.product_no = product_no;
    }

    public String getCross_distinct_city_flag() {
        return cross_distinct_city_flag;
    }

    public void setCross_distinct_city_flag(String cross_distinct_city_flag) {
        this.cross_distinct_city_flag = cross_distinct_city_flag;
    }

    public String getCertificate_of_title() {
        return certificate_of_title;
    }

    public void setCertificate_of_title(String certificate_of_title) {
        this.certificate_of_title = certificate_of_title;
    }

    public String getArea_unit() {
        return area_unit;
    }

    public void setArea_unit(String area_unit) {
        this.area_unit = area_unit;
    }

    public String getStart_date() {
        return start_date;
    }

    public void setStart_date(String start_date) {
        this.start_date = start_date;
    }

    public String getEnd_date() {
        return end_date;
    }

    public void setEnd_date(String end_date) {
        this.end_date = end_date;
    }

    public String getOriginal_seller_name() {
        return original_seller_name;
    }

    public void setOriginal_seller_name(String original_seller_name) {
        this.original_seller_name = original_seller_name;
    }

    public String getOriginal_seller_tax_no() {
        return original_seller_tax_no;
    }

    public void setOriginal_seller_tax_no(String original_seller_tax_no) {
        this.original_seller_tax_no = original_seller_tax_no;
    }

    public String getApplicant() {
        return applicant;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public String getDeduction_status() {
        return deduction_status;
    }

    public void setDeduction_status(String deduction_status) {
        this.deduction_status = deduction_status;
    }

    public String getOriginal_invoice_code() {
        return original_invoice_code;
    }

    public void setOriginal_invoice_code(String original_invoice_code) {
        this.original_invoice_code = original_invoice_code;
    }

    public String getOriginal_invoice_number() {
        return original_invoice_number;
    }

    public void setOriginal_invoice_number(String original_invoice_number) {
        this.original_invoice_number = original_invoice_number;
    }

    public String getOriginal_invoice_date() {
        return original_invoice_date;
    }

    public void setOriginal_invoice_date(String original_invoice_date) {
        this.original_invoice_date = original_invoice_date;
    }

    public String getOriginal_invoice_price() {
        return original_invoice_price;
    }

    public void setOriginal_invoice_price(String original_invoice_price) {
        this.original_invoice_price = original_invoice_price;
    }

    public String getRed_flush_reason() {
        return red_flush_reason;
    }

    public void setRed_flush_reason(String red_flush_reason) {
        this.red_flush_reason = red_flush_reason;
    }

    public String getOriginal_superior_business_no() {
        return original_superior_business_no;
    }

    public void setOriginal_superior_business_no(String original_superior_business_no) {
        this.original_superior_business_no = original_superior_business_no;
    }

    public String getRed_letter_info_sheet_no() {
        return red_letter_info_sheet_no;
    }

    public void setRed_letter_info_sheet_no(String red_letter_info_sheet_no) {
        this.red_letter_info_sheet_no = red_letter_info_sheet_no;
    }

    public String getOriginal_invoice_check_ode() {
        return original_invoice_check_ode;
    }

    public void setOriginal_invoice_check_ode(String original_invoice_check_ode) {
        this.original_invoice_check_ode = original_invoice_check_ode;
    }
}
